export declare namespace Form {
    interface Menu {
        text: string,
        useText: boolean,
        mode: string,
        link: Link,
        icon: string,
        color: string,
        backgroundColor: string
    }
    interface Link {
        page: string,
        appid: string,
        type: string,
        name: string
    }

    interface Banner {
        pic: string,
        link: Link
    }

    interface Spacing {
        marginTop: number,
        marginBottom: number,
        marginLR: number,
        padding: number,
        borderTopLR: number,
        borderBottomLR: number
    }
    interface Color {
        color: string,
        backgroundColor: string,
        opacity: number
    }
    interface Picture {
        pic: string,
        link: Link
    }
    interface Title {
        text: string,
        text2?: string,
        color: string,
        icon: string,
        link: Link
    }

    interface Hot {
        x: number,
        y: number,
        w: number,
        h: number,
        relativeX: number,
        relativeY: number,
        relativeW: number,
        relativeH: number,
        index: number,
        link: Link
    }
    interface HotImage {
        pic: string,
        link: Link,
        width: number,
        height: number,
        attr: Hot[]
    }
    interface RubikCubeMode {
        type: string,
        label: string,
        list: {
            icon: string,
            tips: string,
            link: Link
        }[]
    }
    interface RubikCube {
        mode: string,
        gap: number,
        list: {
            icon: string,
            tips: string,
            link: Link
        }[]
    }
    interface Goods {
        mode: string,
        source: string,
        gap: number,
        num: number,
        attribute: number,
        isVoucher: boolean,
        isShadow: boolean,
        type: { name: string, pic?: string, id: number }[],
        list: {
            mainPic: string,
            title: string,
            price: number,
            sold: number,
            attribute?: number,
            id: number,
        }[]
    }

    interface Suspension {
        icon: string;
        tips: string,
        link: Link
    }
}